Arbor 3: FSM & BT Graph Editor 3.5.3

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Properties | List of all members
Node Class Reference

Arbor Editorにあるノードの基底クラス More...

Inheritance diagram for Node:

## Public Member Functions
| Node (NodeGraph nodeGraph, int nodeID)
| Nodeのコンストラクタ More...
virtual bool | IsContainsBehaviour (NodeBehaviour behaviour)
| NodeBehaviourを含んでいるかをチェックする。 More...
virtual bool | IsDeletable ()
| 削除できるかどうかを返す。 More...
virtual string | GetName ()
| ノードの名前を取得 More...
override string | ToString ()
| ノードを文字列に変換（デバッグ用）。 More...

## Public Attributes
Rect | position
| Arbor Editor上での位置。 More...
bool | showComment
| コメントを表示するかどうか More...
string | nodeComment
| コメント More...

## Protected Member Functions
virtual void | OnGraphChanged ()
| Nodeが所属するNodeGraphが変わった際に呼ばれる。 More...

## Properties
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...

## Detailed Description

Arbor Editorにあるノードの基底クラス

## Constructor & Destructor Documentation

Node | ( | NodeGraph | nodeGraph,
|  | int | nodeID
| ) |  |

Nodeのコンストラクタ

Parameters

  nodeGraph | このノードを持つNodeGraph
  nodeID | ノードID

## Member Function Documentation

virtual string GetName | ( |  | ) |
| virtual

ノードの名前を取得

Returns
  ノードの名前

Reimplemented in State, CompositeNode, RootNode, ActionNode, and GroupNode.

virtual bool IsContainsBehaviour | ( | NodeBehaviour | behaviour | ) |
| virtual

NodeBehaviourを含んでいるかをチェックする。

Parameters

  behaviour | チェックするNodeBehaviour

Returns
  NodeBehaviourを含んでいる場合にtrueを返す。

Reimplemented in State, TreeBehaviourNode, and CalculatorNode.

virtual bool IsDeletable | ( |  | ) |
| virtual

削除できるかどうかを返す。

Returns
  削除できる場合にtrueを返す。

Reimplemented in TreeNodeBase, and RootNode.

virtual void OnGraphChanged | ( |  | ) |
| protected virtual

Nodeが所属するNodeGraphが変わった際に呼ばれる。

Reimplemented in State, TreeBehaviourNode, and CalculatorNode.

override string ToString | ( |  | ) |

ノードを文字列に変換（デバッグ用）。

Returns
  変換された文字列

## Member Data Documentation

string nodeComment

コメント

Rect position

Arbor Editor上での位置。

bool showComment

コメントを表示するかどうか

## Property Documentation

NodeGraph nodeGraph
| get

NodeGraphを取得。

int nodeID
| get

ノードIDを取得。